import 'package:flutter/material.dart';

class RegistrationViewModel extends ChangeNotifier {
  TextEditingController passwordCtrl = TextEditingController();
  TextEditingController confirmPasswordCtrl = TextEditingController();
  TextEditingController phoneNumberCtrl = TextEditingController();
  var formKey = GlobalKey<FormState>();
  var formKeyPhone = GlobalKey<FormState>();
  bool showPassword = false;
  bool showPasswordConfirm = false;

  void toggleVisibility() {
    showPassword = !showPassword;
    notifyListeners();
  }

  void toggleVisibilityConfirm() {
    showPasswordConfirm = !showPasswordConfirm;
    notifyListeners();
  }
}
